Package org.codehaus.groovy.runtime.typehandling

# Class LongMath

java.lang.Object
org.codehaus.groovy.runtime.typehandling.NumberMath
org.codehaus.groovy.runtime.typehandling.LongMath

public final class LongMath extends NumberMath
Long NumberMath operations

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LongMath`
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `absImpl(Number number)`
  `Number`
  `addImpl(Number left, Number right)`
  `Number`
  `andImpl(Number left, Number right)`
  `Number`
  `bitAndImpl(Number left, Number right)`
  `Number`
  `bitwiseNegateImpl(Number left)`
  `int`
  `compareToImpl(Number left, Number right)`
  `Number`
  `divideImpl(Number left, Number right)`
  `Number`
  `intdivImpl(Number left, Number right)`
  `Number`
  `leftShiftImpl(Number left, Number right)`
  `Number`
  `modImpl(Number left, Number right)`
  `Number`
  `multiplyImpl(Number left, Number right)`
  `Number`
  `orImpl(Number left, Number right)`
  `Number`
  `remainderImpl(Number left, Number right)`
  `Number`
  `rightShiftImpl(Number left, Number right)`
  `Number`
  `rightShiftUnsignedImpl(Number left, Number right)`
  `Number`
  `subtractImpl(Number left, Number right)`
  `Number`
  `unaryMinusImpl(Number left)`
  `Number`
  `unaryPlusImpl(Number left)`
  `Number`
  `xorImpl(Number left, Number right)`

  ### Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath

  `abs, add, and, bitwiseNegate, compareTo, createUnsupportedException, divide, getMath, intdiv, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, mod, multiply, or, remainder, rightShift, rightShiftUnsigned, subtract, toBigDecimal, toBigInteger, unaryMinus, unaryPlus, xor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final LongMath INSTANCE

- ## Method Details

  - ### absImpl

    public Number absImpl(Number number)
    Specified by:
      `absImpl` in class `NumberMath`

  - ### addImpl

    public Number addImpl(Number left, Number right)
    Specified by:
      `addImpl` in class `NumberMath`

  - ### subtractImpl

    public Number subtractImpl(Number left, Number right)
    Specified by:
      `subtractImpl` in class `NumberMath`

  - ### multiplyImpl

    public Number multiplyImpl(Number left, Number right)
    Specified by:
      `multiplyImpl` in class `NumberMath`

  - ### divideImpl

    public Number divideImpl(Number left, Number right)
    Specified by:
      `divideImpl` in class `NumberMath`

  - ### compareToImpl

    public int compareToImpl(Number left, Number right)
    Specified by:
      `compareToImpl` in class `NumberMath`

  - ### intdivImpl

    public Number intdivImpl(Number left, Number right)
    Overrides:
      `intdivImpl` in class `NumberMath`

  - ### remainderImpl

    public Number remainderImpl(Number left, Number right)
    Overrides:
      `remainderImpl` in class `NumberMath`

  - ### modImpl

    public Number modImpl(Number left, Number right)
    Overrides:
      `modImpl` in class `NumberMath`

  - ### unaryMinusImpl

    public Number unaryMinusImpl(Number left)
    Specified by:
      `unaryMinusImpl` in class `NumberMath`

  - ### unaryPlusImpl

    public Number unaryPlusImpl(Number left)
    Specified by:
      `unaryPlusImpl` in class `NumberMath`

  - ### bitwiseNegateImpl

    public Number bitwiseNegateImpl(Number left)
    Overrides:
      `bitwiseNegateImpl` in class `NumberMath`

  - ### orImpl

    public Number orImpl(Number left, Number right)
    Overrides:
      `orImpl` in class `NumberMath`

  - ### andImpl

    public Number andImpl(Number left, Number right)
    Overrides:
      `andImpl` in class `NumberMath`

  - ### xorImpl

    public Number xorImpl(Number left, Number right)
    Overrides:
      `xorImpl` in class `NumberMath`

  - ### leftShiftImpl

    public Number leftShiftImpl(Number left, Number right)
    Overrides:
      `leftShiftImpl` in class `NumberMath`

  - ### rightShiftImpl

    public Number rightShiftImpl(Number left, Number right)
    Overrides:
      `rightShiftImpl` in class `NumberMath`

  - ### rightShiftUnsignedImpl

    public Number rightShiftUnsignedImpl(Number left, Number right)
    Overrides:
      `rightShiftUnsignedImpl` in class `NumberMath`

  - ### bitAndImpl

    public Number bitAndImpl(Number left, Number right)